%define anolis_release 2

Name:           ipcalc
Version:        1.0.1
Release:        %{anolis_release}%{?dist}
Summary:        IP network address calculator

License:        GPLv2+
URL:            https://gitlab.com/ipcalc/ipcalc
Source0:        https://gitlab.com/ipcalc/ipcalc/-/archive/%{version}/ipcalc-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  libmaxminddb-devel
BuildRequires:  rubygem-ronn-ng
Recommends:     libmaxminddb
Recommends:     geolite2-city
Recommends:     geolite2-country

%description
ipcalc is a modern tool to assist in network address calculations for
IPv4 and IPv6. It acts both as a tool to output human readable
information about a network or address, as well as a tool suitable to be
used by scripts or other programs. It supports printing a summary about
the provided network address, multiple command line options per
information to be printed, transparent IPv6 support, and in addition it
will use libGeoIP if available to provide geographic information.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup

%build
%meson -Duse_maxminddb=enabled -Duse_runtime_linking=enabled
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license COPYING
%{_bindir}/ipcalc
%{_mandir}/man1/ipcalc.1*

%files doc
%doc README.md

%changelog
* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0.1-2
- add doc package

* Fri Mar 04 2022 Su Lifan <su-lifan@linux.alibaba.com> - 1.0.1-1
- Initial packaging for Anolis 23
